<?xml version="1.0" encoding="UTF-8"?>
<!--
    Allows contributing to the values presented on content completion for element and attribute values.
    You can append to the values obtained from the schema or replace them all together.
    These values can be given as literal values or they can be obtained by executing an XSLT script.
-->

<!--
    InfoDev uses this file to add attribute values to the drop down attribute lists.
    When updating this file, you must also update the following Confluence article to keep users
    updated to any changes.
    https://wkfs-infodev.atlassian.net/wiki/display/DBP/outputclass+and+Transformations

    IMPORTANT: THIS FILE MUST BE PRESENT IN BOTH SERVERS. IF MAKING CHANGES, MAKE CERTAIN THE UPDATED
                COPY EXISTS IN THE FOLLOWING LOCATIONS:
                \\Wkfsxcmsrdsbp01\d$\Program Files (x86)\Oxygen XML Editor 18\frameworks\dita\resources
                \\Wkfsxcmsrdsbp02\d$\Program Files (x86)\Oxygen XML Editor 18\frameworks\dita\resources
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.oxygenxml.com/ns/ccfilter/config http://www.oxygenxml.com/ns/ccfilter/config/ccConfigSchemaFilter.xsd"
        xmlns="http://www.oxygenxml.com/ns/ccfilter/config">


      <!-- #region WKFS Customizations -->
      <match attributeName="audience">
            <items action="append">
                  <!--<item value="adm1nuA945Mgn38c" annotation="Formats the selection for admin audience"/>
            <item value="uS3r367KgbmRm9jC" annotation="Formats the selection for user audience"/>-->
                  <item value="hosted"
                        annotation="Formats the selection for EZConfig hosted users" />
                  <item value="installed"
                        annotation="Formats the selection for EZConfig installed users" />
                  <item value="integrator"
                        annotation="Formats the selection for EZConfig integrator users" />
            </items>
      </match>

      <match attributeName="product">
            <items action="append">
                  <item value="BatchCenter" />
                  <item value="DocGenServices" />
                  <item value="ExpereDocServices" />
                  <item value="PermissionCodes-APCreateTransaction" />
                  <item value="PermissionCodes-APPrintPreviewDocumentsOnly" />
                  <item value="PermissionCodes-ARS_Assign_Permissions" />
                  <item value="PermissionCodes-ARS_Manage" />
                  <item value="PermissionCodes-COA_Assign_Permissions" />
                  <item value="PermissionCodes-COA_Manage" />
                  <item value="PermissionCodes-COA_AP_CreateTransaction" />
                  <item value="PermissionCodes-COA_AP_PrintPreviewOnly" />
                  <item value="PermissionCodes-COA_CP_CreateTransaction" />
                  <item value="PermissionCodes-COA_CP_PrintPreviewOnly" />
                  <item value="PermissionCodes-CPCreateTransaction" />
                  <item value="PermissionCodes-CPPrintPreviewDocumentsOnly" />
                  <item value="PermissionCodes-Default_Manage" />
                  <item value="PermissionCodes-DGS_Assign_Permissions" />
                  <item value="PermissionCodes-DGS_Manage" />
                  <item value="PermissionCodes-DocOneCommercial_Manage" />
                  <item value="PermissionCodes-DocOneConsumer_Manage" />
                  <item value="PermissionCodes-DocOneDefault_Manage" />
                  <item value="PermissionCodes-DocOneDeposit_Manage" />
                  <item value="PermissionCodes-DocOneForms_Manage" />
                  <item value="PermissionCodes-DocOneHomeEquity_Manage" />
                  <item value="PermissionCodes-DocOneIndirect_Manage" />
                  <item value="PermissionCodes-DocOneIRA_Manage" />
                  <item value="PermissionCodes-DocOneMgr_Manage" />
                  <item value="PermissionCodes-EDS_Assign_Permissions" />
                  <item value="PermissionCodes-EDS_Manage" />
                  <item value="PermissionCodes-EZ_BasicAccess" />
                  <item value="PermissionCodes-EZ_Manage" />
                  <item value="PermissionCodes-FloodManual_AccountManager" />
                  <item value="PermissionCodes-IDK_Assign_Permissions" />
                  <item value="PermissionCodes-IDK_Manage" />
                  <item value="PermissionCodes-IDL_Manage" />
                  <item value="PermissionCodes-IM_Assign_Permissions" />
                  <item value="PermissionCodes-IM_BasicAccess" />
                  <item value="PermissionCodes-InterfaceManagerAdministrator" />
                  <item value="PermissionCodes-IRAMC_Manage" />
                  <item value="PermissionCodes-LenderDecisioning_Manage" />
                  <item value="PermissionCodes-MGT_Assign_Permissions" />
                  <item value="PermissionCodes-Mtg_Manage" />
                  <item value="PermissionCodes-MTG_Manage" />
                  <item value="PermissionCodes-OLAMTG_Assign_Permissions" />
                  <item value="PermissionCodes-OLAMTG_BasicAccess" />
                  <item value="PermissionCodes-OLAVANCEOMTG_Assign_Permissions" />
                  <item value="PermissionCodes-OLAVANCEOMTGMTGBasic_Access" />
                  <item value="PermissionCodes-PDS Assign Permissions" />
                  <item value="PermissionCodes-PDS_Basic_Access" />
                  <item value="PermissionCodes-PDS_Site_Admin" />
                  <item value="PermissionCodes-PDS_Download" />
                  <item value="PermissionCodes-PDS_System_Download_All" />
                  <item value="PermissionCodes-PDS System_Configure_Product" />
                  <item value="PermissionCodes-PDS_System_Manage_Product" />
                  <item value="PermissionCodes-PDS_System_Release_Product" />
                  <item value="PermissionCodes-PDS System_Upload Product" />
                  <item value="PermissionCodes-PFM_Assign_Permissions" />
                  <item value="PermissionCodes-PFM_Manage" />
                  <item value="PermissionCodes-SDX_Manage" />
                  <item value="PermissionCodes-SL_Assign_Permissions" />
                  <item value="PermissionCodes-SS_Assign_Permissions" />
                  <item value="PermissionCodes-SS_Manage" />
                  <item value="PermissionCodes-StateLink_Manage" />
                  <item value="PermissionCodes-STS_Assign_Permissions" />
                  <item value="PermissionCodes-TSP_Assign_Permissions" />
                  <item value="PermissionCodes-TSP_Manage" />
                  <item value="PermissionCodes-Vanceo_Assign_Permissions" />
                  <item value="PermissionCodes-Vanceo_BasicAccess" />
                  <item value="PermissionCodes-Vanceo_Manage" />
                  <item value="PermissionCodes-Vanceo_Manage" />
                  <item value="PermissionCodes-WIZ_BASIC_STS_manage" />
                  <item value="PermissionCodes-WIZBASIC_BasicAccess" />
                  <item value="PermissionCodes-WKIS_Assign_Permissions" />
                  <item value="PermissionCodes-WKIS_BasicAccess" />
                  <item value="PermissionCodes-Workflow_STS_Manage" />
                  <item value="PermissionCodes-Workflow_BasicAccess" />
                  <item value="PermissionCodes-Workflow_STS_Access" />

                  <!--<item value="PERMISSIONCODES-Mtg_Manage" annotation="Formats the selection for WKFS mortgage"/>
          <item value="PERMISSIONCODES-MANAGE_ARS" annotation="Formats the selection for ARS"/>
          <item value="PERMISSIONCODES-MANAGE_ASSUMPTIONS" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-MANAGE_COMMERCIAL_PERMISSION" annotation="Formats the selection for Commercial"/>
          <item value="PERMISSIONCODES-MANAGE_DEFAULT_SERVICES" annotation="Formats the selection for Default Services"/>
          <item value="PERMISSIONCODES-MANAGE_DO_DEFAULT" annotation="Formats the selection for Do Default"/>
          <item value="PERMISSIONCODES-MANAGE_DGS" annotation="Formats the selection for Document Generation Services"/>
          <item value="PERMISSIONCODES-MANAGE_EXPERE_PERMISSION" annotation="Formats the selection for Expere"/>
          <item value="PERMISSIONCODES-MANAGE_FDS_PERMISSION" annotation="Formats the selection for Flood Determination Services"/>
          <item value="PERMISSIONCODES-MANAGE_IRAMC_PERMISSION" annotation="Formats the selection for IRAMC"/>
          <item value="PERMISSIONCODES-MANAGE_MORTAGE_PERMISSION" annotation="Formats the selection for WKFS mortgage"/>
          <item value="PERMISSIONCODES-MANAGE_PREFORECLOSURE_PERMISSION" annotation="Formats the selection for Preforclosure"/>
          <item value="PERMISSIONCODES-MANAGE_STATELINK" annotation="Formats the selection for StateLink"/>
          <item value="PERMISSIONCODES-MANAGE_TSOFT_PERMISSION" annotation="Formats the selection for Tsoft Plus"/>

          <item value="PERMISSIONCODES-WIZ_BASIC_STS_MANAGE" annotation="Formats the selection for Wiz Basic"/>
          <item value="PERMISSIONCODES-COA_AP_OVERRIDE_VALIDATION" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_AP_CREATETRANSACTION" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_AP_PRINTPREVIEW_ONLY" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_CP_CREATETRANSACTION" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_CP_CREATETRANSACTION" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_CP_PRINTPREVIEW_ONLY" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-COA_MANAGETEMPLATES" annotation="Formats the selection for Assumptions"/>
          <item value="PERMISSIONCODES-MORTGAGE_AP_CREATE" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_AP_OVERRIDE_VALIDATION" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_AP_READ_ONLY" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_AP_REQUIRE_TEMPLATE" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_CP_CREATE" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_CP_OVERRIDE_VALIDATION" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_CP_READ_ONLY" annotation="Formats the selection for "/>
          <item value="PERMISSIONCODES-MORTGAGE_CP_REQUIRE_TEMPLATE" annotation="Formats the selection for "/>-->
                  <!--<item value="mortgage" annotation="Formats the selection for WKFS mortgage"/>
          <item value="stsadmin" annotation="Formats the selection for STS Administration"/>-->
            </items>
      </match>

      <match elementName="div"
             attributeName="outputclass">
            <items action="append">
                  <item value="QA_"
                        annotation="Creates a container for the question and answer DIVs" />
                  <item value="QA_q"
                        annotation="Creates a container for the question" />
                  <item value="QA_a"
                        annotation="Creates a container for the answer" />
            </items>
      </match>
      <match elementName="image"
             attributeName="outputclass">
            <items action="append">
                  <item value="noborder"
                        annotation="Removes default border from the image." />
            </items>
      </match>
      <match elementName="p"
             attributeName="outputclass">
            <items action="append">
                  <item value="title_sectiondiv"
                        annotation="Transforms p element to section title" />
                  <item value="hidden"
                        annotation="Prevents the element from being displayed." />
            </items>
      </match>
      <match elementName="ph"
             attributeName="outputclass">
            <items action="append">
                  <item value="btn_revision"
                        annotation="Transforms ph element to button" />
                  <item value="highlight-green"
                        annotation="Highlights the selection with a green color" />
                  <item value="highlight-lightblue"
                        annotation="Highlights the selection with a light blue color" />
                  <item value="highlight-lightgreen"
                        annotation="Highlights the selection with a light green color" />
                  <item value="highlight-lightred"
                        annotation="Highlights the selection with a light red color" />
                  <item value="highlight-yellow"
                        annotation="Highlights the selection with a yellow color" />
                  <item value="kbd" 
                        annotation="Renders textual user input from a keyboard"/>
            </items>
      </match>
      <match elementName="section"
             attributeName="outputclass">
            <items action="append">
                  <item value="cl_section"
                        annotation="Presents the section as a top level Changelog section" />
                  <item value="bottomrulethin"
                        annotation="Places a thin black horizontal rule below section" />
                  <item value="bottomrulemedium"
                        annotation="Places a medium black horizontal rule below section" />
                  <item value="bottomrulethick"
                        annotation="Places a thick black horizontal rule below section" />
                  <item value="toprulethin"
                        annotation="Places a thin black horizontal rule above section" />
                  <item value="toprulemedium"
                        annotation="Places a medium black horizontal rule above section" />
                  <item value="toprulethick"
                        annotation="Places a thick black horizontal rule above section" />
                  <item value="ChangelogNav"
                        annotation="Creates a side navigation menu in changelog files." />
            </items>
      </match>
      <match elementName="stentry"
             attributeName="outputclass">
            <items action="append">
                  <item value="rntitle"
                        annotation="Formats the text as a title (blue bold 40px)" />
            </items>
      </match>

      <!-- #endregion End WKFS Customizations -->


</config>